# Interface CompileTester.SuccessfulCompilationClause

All Superinterfaces:
  `CompileTester.ChainingClause<CompileTester.GeneratedPredicateClause<CompileTester.SuccessfulCompilationClause>>, CompileTester.CompilationWithNotesClause<CompileTester.SuccessfulCompilationClause>, CompileTester.CompilationWithWarningsClause<CompileTester.SuccessfulCompilationClause>`

Enclosing interface:
  `CompileTester`

public static interface CompileTester.SuccessfulCompilationClause extends CompileTester.CompilationWithWarningsClause<CompileTester.SuccessfulCompilationClause>, CompileTester.ChainingClause<CompileTester.GeneratedPredicateClause<CompileTester.SuccessfulCompilationClause>>
The clause in the fluent API for further tests on successful compilations.

Author:
  Gregory Kick

## Method Summary

### Methods inherited from interface CompileTester.ChainingClause

`and`

### Methods inherited from interface CompileTester.CompilationWithNotesClause

`withNoteContaining, withNoteCount`

### Methods inherited from interface CompileTester.CompilationWithWarningsClause

`withWarningContaining, withWarningCount`